GET /comments/{post_id}.json
Summary: Get post details and comments
Operation ID: getPostComments
Auth: unknown
Operation ID: getPostComments
Auth: unknown
Description
Retrieves a specific post and its comments.
Parameters (4)
depth
(integer, query, optional, default: 5)
Maximum depth of comment tree to return
Constraints: {'minimum': 1, 'maximum': 10}
limit
(integer, query, optional, default: 25)
Maximum number of comments to return
Constraints: {'minimum': 1, 'maximum': 100}
post_id
(string, path, required)
The base36 ID of the post
sort
(string, query, optional, default: confidence)
Comment sorting method
Constraints: {'enum': ['confidence', 'top', 'new', 'controversial', 'old', 'random', 'qa', 'live']}
Examples (2)
| Title | Type | URL | Action |
|---|---|---|---|
| Get post and comments by ID only | openapi-spec |
https://www.reddit.com/comments/1rrgb4d.json |
|
| Get post details and comments | openapi-spec |
https://www.reddit.com/comments/1abcdef.json |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 09:39:40.769865 | 200 | 1097ms | |
| 2026-03-23 09:30:28.203567 | 403 | 664ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 09:39:40.769865 | 3583b7131587 |
379133fc8ba7 |